de.esprit.netsuite.netdata.transfer

## Enum TransferDirection

- java.lang.Object
- - java.lang.Enum<TransferDirection>
  - - de.esprit.netsuite.netdata.transfer.TransferDirection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TransferDirection>

      public enum TransferDirection
      extends java.lang.Enum<TransferDirection>

  Specifies the direction of a file transfer
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOWNLOAD`
    `UPLOAD`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.Icon` | `getRenderIcon()`
    `boolean` | `isDownload()`
    `boolean` | `isUpload()`
    `static TransferDirection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TransferDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UPLOAD

          public static final TransferDirection UPLOAD

    - #### DOWNLOAD

          public static final TransferDirection DOWNLOAD

  - ### Method Detail

    - #### values

          public static TransferDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransferDirection c : TransferDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransferDirection valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isUpload

          public boolean isUpload()

    - #### isDownload

          public boolean isDownload()

    - #### getRenderIcon

          public javax.swing.Icon getRenderIcon()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.